> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an inbound deposit

> Get an inbound deposit for a user's wallet



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users/{userId}/wallets/deposits/{depositId}
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/wallets/deposits/{depositId}:
    get:
      tags:
        - Wallet
      summary: Get an inbound deposit
      description: Get an inbound deposit for a user's wallet
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/DepositIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/WalletDepositObjectResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
    DepositIdPathParameter:
      name: depositId
      in: path
      schema:
        type: string
      description: ID of the deposit
      required: true
  responses:
    WalletDepositObjectResponse:
      description: Success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/WalletDepositObject'
          examples:
            WalletDepositObjectExample:
              $ref: '#/components/examples/WalletDepositObjectExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    WalletDepositObject:
      type: object
      properties:
        id:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        wallet:
          type: object
          properties:
            id:
              type: string
              format: uuid
            address:
              type: string
            chain:
              type: string
              enum:
                - POLYGON
                - SOLANA
                - ETHEREUM
                - BASE
                - TRON
            walletType:
              type: string
              enum:
                - INDIVIDUAL
        transaction:
          type: object
          properties:
            transactionHash:
              type: string
            chain:
              type: string
              enum:
                - POLYGON
                - SOLANA
                - ETHEREUM
                - BASE
                - TRON
            currency:
              type: string
            status:
              type: string
              enum:
                - COMPLETED
                - CONFIRMED
            sourceAddress:
              type: string
            destinationAddress:
              type: string
            contractAddress:
              type: string
            amount:
              type: string
            unitAmount:
              type: string
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
  examples:
    WalletDepositObjectExample:
      summary: Wallet Deposit Object
      value:
        userId: f4c99c2f-ce05-4f61-8ed6-9064a5689197
        id: 2e084846-00d6-5e4c-806f-eac45e197108
        createdAt: '2025-06-25T15:47:16.983978+00:00'
        updatedAt: '2025-06-25T15:47:16.983978+00:00'
        wallet:
          id: 24b4917d-694e-4d81-ace8-9ba5261b6f4e
          address: '0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef'
          chain: POLYGON
          walletType: INDIVIDUAL
        transaction:
          transactionHash: '0xe5284c4cb35ae9b5eb0ae23b840032f320b87b63f8967ee9b67ee09dfe6a194a'
          chain: POLYGON
          currency: usdc
          status: COMPLETED
          sourceAddress: '0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef'
          destinationAddress: '0x0B95D270400BE4319EAFbfDD82F6C38B59ab54Ef'
          contractAddress: '0x41E94Eb019C0762f9Bfcf9Fb1E58725BfB0e7582'
          amount: '19'
          unitAmount: '19000000'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````